Android - " Parsing Daten für android -21 fehlgeschlagen"

? warbi @ | Original: StackOverFlow

Hatte die folgende Fehlermeldung in Eclipse nach der Installation von Android 5.0 (SDK 21)

"Laden von Daten für Android 5.0" ist ein Problem aufgetreten .

Analysieren von Daten für android -21 gescheitert   nicht unterstützte major.minor Version 51.0



Top 5 Antwort

1warbi @

Installieren Sie JDK 1.8 und laden von Eclipse .

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

2Amit P @

Anfangs war ich vor dem gleichen Problem . Ich habe ein Upgrade auf JDK1.7 . Noch Ausgabe anhalten. Dies ist aufgrund der Tatsache, dass einige Zeit eclipse takees die Standard sdk als 1,6 . Um dieses Problem zu beheben :

Change the environmental path to point 1.7/1.8 Open Eclipse and goto windows tab-> preference Goto Java->complier and set Compiler compliance level to 1.7 and press apply. Then Goto Installed JRE Section. check if the installed jdk is listed and selected in the list. If not listed give the manual path using search. then select the jdk version and remove other versions in the list. in installed JRE go to execution environment and select the intended java se version and check it in compatible section Presss ok and restart Eclipse.

Dies sollte das Problem beheben.